package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.utils.{CompanyForCidUtils, SparkUtils}
import org.apache.spark.sql.SparkSession

/**
 * 专利
 * π
 */

object CompanyForCid {
  val tabMapping: Map[String, Seq[String]] =
    Map("ods_company_icp" -> Seq("web_site", "new_cid"), //网站
      "ods_company_tm" -> Seq("reg_no", "new_cid"), //商标
      "ods_company_wechat" -> Seq("public_num", "new_cid"), //微信公众号
      "ods_company_app_info" -> Seq("name", "new_cid") //产品信息
    )

  def main(args: Array[String]): Unit = {
    val (sourceTable, cols) = valid(args)
    //    var config = mutable.Map.empty[String, String]
    val spark: SparkSession = SparkUtils.InitEnv(this.getClass.getSimpleName, null)
    CompanyForCidUtils(spark, sourceTable, cols).calc()
    spark.stop()
  }

  def valid(args: Array[String]): (String, Seq[String]) = {
    println(args.toSeq.mkString(" "))
    if (args.length == 1) {

    } else if (args.length == 2) {
      val Array(sourceTable, cols) = args
      return (sourceTable, cols.split(";").toSeq)
    } else {
      println("请输入要计算的table!!!! ")
      sys.exit(-1)
    }
    val Array(sourceTable) = args

    val cols: Seq[String] = tabMapping.getOrElse("ods_" + sourceTable, Seq())
    if (cols.isEmpty) {
      println("输入表不存在,请配置计算规则!!!   ")
      sys.exit(-1)
    }
    (sourceTable, cols)
  }
}
